
/* Masonry grid */
.masonry {
    transition: all .5s ease-in-out;
    column-gap: 20px;
    column-fill: initial;
}

/* Masonry item */
.masonry .masonry-item {
    margin-bottom: 0;
    display: inline-block; /* Fix the misalignment of items */
    vertical-align: top; /* Keep the item on the very top */
    width: 100%;
}

/* Masonry image effects */
.masonry .masonry-item img {
    transition: all .5s ease-in-out;
    backface-visibility: hidden; /* Remove Image flickering on hover */
}

.masonry .brick:hover img {
    opacity: .75;
}

/* Bordered masonry */
.masonry.bordered {
    column-rule: 1px solid #eee;
    column-gap: 50px;
}

.masonry.bordered .masonry-item {
    padding-bottom: 25px;
    margin-bottom: 25px;
    border-bottom: 1px solid #eee;
}

/* Gutterless masonry */
.masonry.gutterless {
    column-gap: 0;
}

.masonry.gutterless .masonry-item {
    margin-bottom: 0;
}

/* Masonry on tablets */
@media only screen and (min-width: 768px) and (max-width: 1023px) {
    .masonry {
        column-count: 2;
    }
}

/* Masonry on big screens */
@media only screen and (min-width: 1024px) {
    .masonry {
        column-count: 3;
    }
}
